Upload incidents
curl --request POST \
--url https://api1.irisagent.com/v1/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"incident": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shortlink": "<string>"
},
"components": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"updates": [
{
"impact": "<string>",
"status": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"affected_components": [
{
"name": "<string>",
"old_status": "<string>",
"new_status": "<string>"
}
]
}
],
"postmortem": {}
}
'import requests
url = "https://api1.irisagent.com/v1/incidents"
payload = {
"incident": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shortlink": "<string>"
},
"components": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"updates": [
{
"impact": "<string>",
"status": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"affected_components": [
{
"name": "<string>",
"old_status": "<string>",
"new_status": "<string>"
}
]
}
],
"postmortem": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
incident: {
id: '<string>',
name: '<string>',
status: '<string>',
started_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
shortlink: '<string>'
},
components: [
{
id: '<string>',
name: '<string>',
status: '<string>',
last_updated_at: '2023-11-07T05:31:56Z'
}
],
updates: [
{
impact: '<string>',
status: '<string>',
body: JSON.stringify('<string>'),
created_at: '2023-11-07T05:31:56Z',
affected_components: [{name: '<string>', old_status: '<string>', new_status: '<string>'}]
}
],
postmortem: {}
})
};
fetch('https://api1.irisagent.com/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Upload incidents
Send engineering, devops, or statuspage incidents for AI training via this endpoint
POST
/
v1
/
incidents
Upload incidents
Authorizations
The Authorization header is required to authenticate API requests.
It should contain a bearer token obtained through the IrisAgent portal.
Body
application/json
Response
Incident has been uploaded successfully
⌘I